import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface DrawerCustomProps {
    position: "top" | "right" | "bottom" | "left";
    isOpen?: boolean;
    onCloseCallback?: () => void;
    closeOnClickOutside?: boolean;
    isDismissable?: boolean;
}
export type DrawerElementType = HTMLDivElement;
export type DrawerProps = Omit<CommonAndHTMLProps<DrawerElementType>, keyof DrawerCustomProps> & DrawerCustomProps;
export declare const Drawer: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, keyof DrawerCustomProps> & DrawerCustomProps & React.RefAttributes<HTMLDivElement>>;
export default Drawer;
